Skip to main content
POST
/
conversations
/
{id}
/
fork
Fork at a message
curl --request POST \
  --url https://api.veryfront.com/conversations/{id}/fork \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parts": [
    {
      "type": "text",
      "text": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "conversationId": "<string>",
  "seq": 123,
  "role": "<string>",
  "parts": [
    {}
  ],
  "status": "<string>",
  "createdAt": "<string>",
  "parentId": "<string>",
  "createdBy": "<string>",
  "model": "<string>",
  "tokenUsage": null,
  "finishReason": "<string>",
  "costCredits": "<string>",
  "editedAt": "<string>",
  "idempotencyKey": "<string>",
  "metadata": null,
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

id
string<uuid>
required

Conversation ID

Body

application/json
messageId
string<uuid>
required
parts
object[]
required
Required array length: 1 - 200 elements

Response

201 - application/json

Created sibling message

id
string
required
conversationId
string
required
seq
number
required
role
string
required
parts
object[]
required
status
string
required
createdAt
string
required
parentId
string | null
createdBy
string | null
model
string | null
tokenUsage
unknown
finishReason
string | null
costCredits
string | null
editedAt
string | null
idempotencyKey
string | null
metadata
unknown
updatedAt
string | null